Subject: Re: [git-svn] howto select a part of the tree

From: Michael J Gruber <[email-masked]>
Date: Wed, 13 May 2009 22:38:03 +0200

Michael Gaber venit, vidit, dixit 13.05.2009 19:21:
> Michael J Gruber schrieb:
>> Michael Gaber venit, vidit, dixit 12.05.2009 21:58:
>>> Hi,
>>>
>>> I have the following setup and would like to know it my thought workflow 
>>> would be easily doable with git-svn.
>>>
>>> I have a repository which contains at the moment 5 eclipse projects. two 
>>> of them are directly in the svn root and i'm not interested in them. the 
>>> other three are mine and I'd like to use them as separate eclipse 
>>> projects as i currently do when i check them out as seperate projects 
>>> into the workspace with subversive.
>>>
>>> is this possible or should i just forget it.
>>>
>>> Regards Michael
>>
>> It is possible. I you want more detailed answers we would need more
>> detailed info (structure of the svn repo).
>>
>> Cheers,
>> Michael
> 
> Sorry I forgot.
> Structure is as follows:
> 
> repo-root
> |
> |--otherstuff-1
> |
> |--otherstuff-2
> |
> |--trunk
>       |
>       |--myproj-1
>       |
>       |--myproj-2
>       |
>       |--myproj-3
>       |
>       |--myproj-4
> 
> I hope this makes it clear.

No branches nor tags? In that case you can simply

git svn clone url-to-the-svn-repo/repo-root/trunk/myproj-1

etc. and have individual git svn repos. You can do similarly for the
ones right below root.

Cheers,
Michael